=== debian/changelog ===
hyprland-qtutils (0.1.5-1) unstable; urgency=medium

  * Initial release. (Closes: #1110117)

 -- Carl Keinath <carl.keinath@gmail.com>  Fri, 17 Oct 2025 20:57:06 +0200
