=== debian/control ===
Source: hyprland-qtutils
Section: x11
Priority: optional
Maintainer: Debian Hyprland Maintainers <team+hyprland@tracker.debian.org>
Uploaders:
 Carl Keinath <carl.keinath@gmail.com>,
 Chow Loong Jin <hyperair@debian.org>,
Rules-Requires-Root: no
Build-Depends:
 debhelper-compat (= 13),
 cmake,
 pkgconf,
 libhyprutils-dev,
 qt6-base-dev,
 qt6-base-private-dev,
 qt6-wayland-dev,
 qt6-wayland-private-dev,
 qt6-declarative-dev,
Standards-Version: 4.7.2
Homepage: https://github.com/hyprwm/hyprland-qtutils
Vcs-Browser: https://salsa.debian.org/hyprland-team/hyprland-qtutils
Vcs-Git: https://salsa.debian.org/hyprland-team/hyprland-qtutils.git

Package: hyprland-qtutils
Architecture: any
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
 qml6-module-org-hyprland-style,
 qt6-wayland,
 qml6-module-qtquick-controls,
 qml6-module-qtquick-layouts,
 qml6-module-qtquick-templates,
 qml6-module-qtqml-workerscript,
Description: Qt/QML utilities for Hyprland
 Small Qt/QML helper tools (dialogs, update and donation screens)
 used by hypr applications.
