=== debian/watch ===
Version: 5

Template: Github
Owner: hyprwm
Project: hyprland-qtutils
